## python-tz 2025.2

=== Makefile ===
# Build the pytz libraries
#

MAKE=make
SHELL=/bin/bash
PYTHON24=python2.4
PYTHON25=python2.5
PYTHON26=python2.6
PYTHON27=python2.7
PYTHON31=python3.1
PYTHON32=python3.2
PYTHON33=python3.3
PYTHON34=python3.4
PYTHON35=python3.5
PYTHON36=python3.6
PYTHON37=python3.7
PYTHON38=python3.8
PYTHON39=python3.9
PYTHON310=python3.10
PYTHON311=python3.11
PYTHON312=python3.12
PYTHON313=python3.13
PYTHON2=/usr/bin/python2
PYTHON3=/usr/bin/python3
PYTHON=${PYTHON3}
IANA=./tz
IANA_GIT=https://github.com/eggert/tz.git

TESTARGS=-vv
TARGET=
#TARGET=Europe/Amsterdam Europe/Moscow W-SU Etc/GMT+2 Atlantic/South_Georgia Europe/Warsaw Europe/Vilnius
#Mideast/Riyadh87
STYLESHEET=/usr/share/python-docutils/stylesheets/default.css

all: dist

check: test_tzinfo test_docs

build: .stamp-tzinfo


dist: build wheels
	cd build/dist && mkdir -p ../tarballs && \
	${PYTHON} setup.py -q sdist --dist-dir ../tarballs \
	    --formats=gztar

wheels:
	cd build/dist && mkdir -p ../tarballs
	cd build/dist && ${PYTHON} setup.py -q bdist_wheel --universal --dist-dir=../tarballs
	cd build/dist && ${PYTHON3} setup.py -q bdist_wheel --universal --dist-dir=../tarballs

upload: sign
	cd build/dist && ${PYTHON3} setup.py register
	twine upload build/tarballs/*.{whl,gz,asc}

sign:
	rm -f build/tarballs/*.asc
	for f in build/tarballs/*.{whl,zip,bz2,gz} ; do \
	    gpg --detach-sign -a $$f; \
	done

test: test_lazy test_tzinfo test_docs test_zdump

lint: .stamp-tzinfo
	flake8 --ignore=E402 build/dist gen_*.py test_zdump.py

clean:
	rm -f .stamp-*
	rm -rf build/*/* zdump.out
	make -C ${IANA} clean
	find . -name \*.pyc | xargs rm -f

test_lazy: .stamp-tzinfo
	cd build/dist/pytz/tests \
	    && ${PYTHON24} test_lazy.py ${TESTARGS} \
	    && ${PYTHON25} test_lazy.py ${TESTARGS} \
	    && ${PYTHON26} test_lazy.py ${TESTARGS} \
	    && ${PYTHON27} test_lazy.py ${TESTARGS} \
	    && ${PYTHON31} test_lazy.py ${TESTARGS} \
	    && ${PYTHON32} test_lazy.py ${TESTARGS} \
	    && ${PYTHON33} test_lazy.py ${TESTARGS} \
	    && ${PYTHON34} test_lazy.py ${TESTARGS} \
	    && ${PYTHON35} test_lazy.py ${TESTARGS} \
	    && ${PYTHON36} test_lazy.py ${TESTARGS} \
	    && ${PYTHON37} test_lazy.py ${TESTARGS} \
	    && ${PYTHON38} test_lazy.py ${TESTARGS} \
	    && ${PYTHON39} test_lazy.py ${TESTARGS} \
	    && ${PYTHON310} test_lazy.py ${TESTARGS} \
	    && ${PYTHON311} test_lazy.py ${TESTARGS} \
	    && ${PYTHON312} test_lazy.py ${TESTARGS}

test_tzinfo: .stamp-tzinfo
	cd build/dist/pytz/tests \
	    && ${PYTHON24} test_tzinfo.py ${TESTARGS} \
	    && ${PYTHON25} test_tzinfo.py ${TESTARGS} \
	    && ${PYTHON26} test_tzinfo.py ${TESTARGS} \
	    && ${PYTHON27} test_tzinfo.py ${TESTARGS} \
	    && ${PYTHON31} test_tzinfo.py ${TESTARGS} \
	    && ${PYTHON32} test_tzinfo.py ${TESTARGS} \
	    && ${PYTHON33} test_tzinfo.py ${TESTARGS} \
	    && ${PYTHON34} test_tzinfo.py ${TESTARGS} \
	    && ${PYTHON35} test_tzinfo.py ${TESTARGS} \
	    && ${PYTHON36} test_tzinfo.py ${TESTARGS} \
	    && ${PYTHON37} test_tzinfo.py ${TESTARGS} \
	    && ${PYTHON38} test_tzinfo.py ${TESTARGS} \
	    && ${PYTHON39} test_tzinfo.py ${TESTARGS} \
	    && ${PYTHON310} test_tzinfo.py ${TESTARGS} \
	    && ${PYTHON311} test_tzinfo.py ${TESTARGS} \
	    && ${PYTHON312} test_tzinfo.py ${TESTARGS}

test_docs: .stamp-tzinfo
	cd build/dist/pytz/tests \
	    && ${PYTHON3} test_docs.py ${TESTARGS} \
	    && ${PYTHON2} test_docs.py ${TESTARGS}

test_zdump: dist
	${PYTHON3} gen_tests.py ${TARGET} && \
	${PYTHON3} test_zdump.py ${TESTARGS} && \
	${PYTHON2} test_zdump.py ${TESTARGS} && \
	${PYTHON311} test_zdump.py ${TESTARGS}

build/dist/test_zdump.py: .stamp-zoneinfo

doc: docs

docs: dist
	mkdir -p build/docs/source/.static
	mkdir -p build/docs/built
	cp src/README.rst build/docs/source/index.txt
	cp conf.py build/docs/source/conf.py
	sphinx-build build/docs/source build/docs/built
	chmod -R og-w build/docs/built
	chmod -R a+rX build/docs/built

upload_docs: upload_docs_pythonhosted upload_docs_sf

upload_docs_sf: docs
	rsync -e ssh -ravP build/docs/built/ \
	    web.sourceforge.net:/home/project-web/pytz/htdocs/

upload_docs_pythonhosted: docs
	cd build/dist \
	    && ${PYTHON} setup.py upload_docs --upload-dir=../docs/built

.stamp-tzinfo: .stamp-zoneinfo gen_tzinfo.py build/etc/zoneinfo/GMT
	${PYTHON} gen_tzinfo.py ${TARGET}
	rm -rf build/dist/pytz/zoneinfo
	cp -a build/etc/zoneinfo build/dist/pytz/zoneinfo
	touch $@

.stamp-zoneinfo:
	${MAKE} -C ${IANA} ZFLAGS='-b fat' PACKRATDATA= TOPDIR=`pwd`/build USRDIR= USRSHAREDIR=etc install
	# Break hard links, working around http://bugs.python.org/issue8876.
	for d in zoneinfo zoneinfo-leaps zoneinfo-posix; do \
	    rm -rf `pwd`/build/etc/$$d.tmp; \
	    rsync -a `pwd`/build/etc/$$d/ `pwd`/build/etc/$$d.tmp; \
	    rm -rf `pwd`/build/etc/$$d; \
	    mv `pwd`/build/etc/$$d.tmp `pwd`/build/etc/$$d; \
	done
	touch $@

build/dist/locales/pytz.pot: .stamp-tzinfo
	@: #${PYTHON} gen_pot.py build/dist/pytz/locales/pytz.pot

#	cd build/dist; mkdir locales; \
#	pygettext --extract-all --no-location \
#	    --default-domain=pytz --output-dir=locales

# Switch to using a git subtree of https://github.com/eggert/tz
#
# IANA_URL=http://www.iana.org/time-zones/repository
# 
# sync:
# 	cd elsie.nci.nih.gov && \
# 	    rm -f tz{code,data}-latest.tar.gz{,.asc} && \
# 	    wget -S ${IANA_URL}/tzcode-latest.tar.gz && \
# 	    wget -S ${IANA_URL}/tzcode-latest.tar.gz.asc && \
# 	    gpg --verify tzcode-latest.tar.gz.asc tzcode-latest.tar.gz && \
# 	    wget -S ${IANA_URL}/tzdata-latest.tar.gz && \
# 	    wget -S ${IANA_URL}/tzdata-latest.tar.gz.asc && \
# 	    gpg --verify tzdata-latest.tar.gz.asc tzdata-latest.tar.gz && \
# 	    cd src && \
# 	    tar xzf ../tzcode-latest.tar.gz && \
# 	    tar xzf ../tzdata-latest.tar.gz && \
# 	    echo Done

sync: _sync clean

_sync:
	if [ -n "$(TAG)" ]; then \
	    git subtree pull --prefix=tz --squash $(IANA_GIT) $(TAG) \
		-m "IANA $(TAG)"; \
	else \
	    echo "Usage: make sync TAG=2016f"; \
	fi

.PHONY: all check dist test test_tzinfo test_docs test_zdump wheels build clean sync _sync

=== debian/changelog ===
python-tz (2025.2-4) unstable; urgency=medium

  * Team upload.
  * Remove an hardcoded ref. to Python 3.13
    that will make package FTBFS with Python 3.14
  * Add debian/gbp.conf
  * Add debian/clean
  * Add debian/salsa-ci.yml
  * Drop "Python 2" from description

  [ Alastair McKinstry ]
  * Mark python3-tz as M-A: foreign

 -- Alexandre Detiste <tchet@debian.org>  Tue, 23 Sep 2025 00:38:33 +0200

python-tz (2025.2-3) unstable; urgency=medium

  * Team upload.
  * Do not ship /usr/lib/python3/dist-packages/README.rst

  [ William Desportes ]
  * Remove Fabio from Uploaders

 -- Alexandre Detiste <tchet@debian.org>  Sun, 18 May 2025 20:33:30 +0200

python-tz (2025.2-2) unstable; urgency=medium

  * Team upload.
  * Fix autopkgtests to account for code moving to src/ (closes: #1103581).

 -- Colin Watson <cjwatson@debian.org>  Tue, 22 Apr 2025 17:53:33 +0100

python-tz (2025.2-1) unstable; urgency=medium

  * New upstream release
  * d/rules, patches: update for refactor of upstream; main code now
    in src/ directory

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 04 Apr 2025 15:51:36 +0100

=== debian/control ===
Source: python-tz
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Alastair McKinstry <mckinstry@debian.org>,
           Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-pytest,
               python3-setuptools,
               tzdata
Standards-Version: 4.7.2
Homepage: https://pythonhosted.org/pytz/
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-tz
Vcs-Git: https://salsa.debian.org/python-team/packages/python-tz.git -b debian/latest

Package: python3-pytz
Architecture: all
Depends: tzdata, ${misc:Depends}, ${python3:Depends}
Multi-Arch: foreign
Breaks: python3-tz (<< 2025.1-2)
Replaces: python3-tz (<< 2025.1-2)
Description: Python3 version of the Olson timezone database
 python3-pytz brings the Olson tz database into Python. This library allows
 accurate and cross platform timezone calculations using Python.
 It also solves the issue of ambiguous times at the end of daylight savings,
 which you can read more about in the Python Library Reference
 (datetime.tzinfo).
 .
 This package contains the Python 3 version of the library.


Package: python3-tz
Depends: python3-pytz, ${misc:Depends}
Architecture: all
Section: oldlibs
Description: transitional package to rename python3-tz
 This is a transitional package. It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pytz

%:
	dh $@ --buildsystem=pybuild  --sourcedir=src

override_dh_auto_clean:
	rm -rf src/pytz/zoneinfo
	rm -rf .pybuild .pytest_cache

execute_before_dh_auto_configure:
	ln -s /usr/share/zoneinfo src/pytz/zoneinfo

execute_after_dh_auto_install:
	(cd src && python3 ./setup.py install --root=$(CURDIR)/debian/tmp )
	# Use system zoneinfo dir
	rm -fr debian/python3-pytz/usr/lib/*/dist-packages/pytz/zoneinfo
	# Dup accidentally inserted by pybuild
	rm -rf debian/python3-pytz/usr/lib/python3/dist-packages/pytz/pytz
	rm -rf debian/python3-pytz/usr/lib/python3/dist-packages/pytz/README.rst

override_dh_missing:
	@echo Ignore missing due to errors

override_dh_auto_test:
	dh_auto_test -- --before-test="\
		cp $(CURDIR)/src/README.rst {build_dir}; \
		cp -r $(CURDIR)/src/pytz/tests {build_dir}/pytz/" \
		--after-test="rm -rf {build_dir}/README.rst {build_dir}/pytz/tests"

=== debian/tests/control ===
Test-Command: cp -r src/pytz/tests "$AUTOPKGTEST_TMP" && cd "$AUTOPKGTEST_TMP" && rm -f tests/test_docs.py && touch tests/__init__.py && python3 -m unittest discover -v
Depends: python3, python3-tz
Restrictions: allow-stderr
Features: test-name=unittest

Tests: regression
Depends: python3, python3-tz, tzdata-legacy
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$// \
 https://pypi.python.org/packages/source/p/pytz/pytz-(.*).tar.gz
